> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-ad-account-provisioning-setup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Connector Sync Download Url

> GetConnectorSyncDownloadURL generates a short-lived download URL for a completed connector sync artifact.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/apps/{app_id}/connectors/{connector_id}/syncs/{sync_id}/download_url
openapi: 3.1.0
info:
  description: The ConductorOne API is a HTTP API for managing ConductorOne resources.
  title: ConductorOne API
  version: 0.1.0-alpha
servers:
  - description: The ConductorOne API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/connectors/{connector_id}/syncs/{sync_id}/download_url:
    get:
      tags:
        - Connector
      summary: Get Connector Sync Download Url
      description: >-
        GetConnectorSyncDownloadURL generates a short-lived download URL for a
        completed connector sync artifact.
      operationId: c1.api.app.v1.ConnectorService.GetConnectorSyncDownloadURL
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The appId field.
            readOnly: false
            type: string
        - in: path
          name: connector_id
          required: true
          schema:
            description: The connectorId field.
            readOnly: false
            type: string
        - in: path
          name: sync_id
          required: true
          schema:
            description: The syncId field.
            readOnly: false
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.app.v1.GetConnectorSyncDownloadURLResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: GetConnectorSyncDownloadURL
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.Connector.GetConnectorSyncDownloadURL(ctx, operations.C1APIAppV1ConnectorServiceGetConnectorSyncDownloadURLRequest{\n        AppID: \"<id>\",\n        ConnectorID: \"<id>\",\n        SyncID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.GetConnectorSyncDownloadURLResponse != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    c1.api.app.v1.GetConnectorSyncDownloadURLResponse:
      description: The GetConnectorSyncDownloadURLResponse message.
      properties:
        downloadUrl:
          description: Short-lived download URL for the connector sync artifact
          readOnly: false
          type: string
      title: Get Connector Sync Download Url Response
      type: object
      x-speakeasy-name-override: GetConnectorSyncDownloadURLResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````